Bug 1414134 - Syncing ostree contents from CDN raises error: [E] OST0005: Fetch summary failed. Reason: GLib.Error
Summary: Syncing ostree contents from CDN raises error: [E] OST0005: Fetch summary fai...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.3.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 20:58 UTC by Andrii Balakhtar
Modified: 2020-12-14 08:01 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-01 13:30:53 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Andrii Balakhtar 2017-01-17 20:58:49 UTC
Description of problem:
Most likely a regression similar to https://bugzilla.redhat.com/show_bug.cgi?id=1338632
Syncing ostree repo (was using 'Red Hat Enterprise Linux Atomic Host Trees') returns following error:

017-01-17 08:43:29  [foreman-tasks/action] [E] OST0005: Fetch summary failed. Reason: GLib.Error('Server returned status 403: Forbidden', 'g-io-error-quark', 0) (Katello::Errors::PulpError)
 | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.2.0/app/lib/actions/pulp/abstract_async_task.rb:121:in `block in external_task='
 | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.2.0/app/lib/actions/pulp/abstract_async_task.rb:119:in `each'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.2.0/app/lib/actions/pulp/abstract_async_task.rb:119:in `external_task='
 | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.2.0/app/lib/actions/pulp/repository/sync.rb:48:in `external_task='
[...]


Version-Release number of selected component (if applicable):
Satellite 6.3 Snap 8

How reproducible:
Always

Steps to Reproduce:
1. Sync "Red Hat Enterprise Linux Atomic Host Trees" from CDN
2.
3.

Actual results:
[E] OST0005: Fetch summary failed. Reason: GLib.Error('Server returned status 403: Forbidden', 'g-io-error-quark', 0) (Katello::Errors::PulpError)

Expected results:


Additional info:

Comment 3 Sachin Ghai 2017-01-18 05:08:52 UTC
This issue is repeatedly appearing.. Is this because of some change in CDN or in libasn1 package ?

Comment 4 Brad Buckingham 2017-01-20 16:09:01 UTC
Sachin, does comment 3 mean that you also see the same with 6.2.z or just repeatedly with early 6.3 builds?  Also,is it only when syncing certain repositories?

Comment 5 Sachin Ghai 2017-02-14 11:20:28 UTC
@Brad: The same issue we found earlier w/ sat6.2.0 now with 6.3 build. I tested it w/ recent sat6.2.8 snap2 and I don't see any issue while syncing ostree repos.

This issue appears only w/ 6.3 version and while syncing "Red Hat Enterprise Linux Atomic Host Trees" from CDN

Comment 6 Brad Buckingham 2017-02-14 12:17:32 UTC
Thanks Sachin!

Partha, can you take a look at this one?  It appears to only affect early 6.3 builds.

Comment 7 Peter Ondrejka 2017-02-14 16:02:27 UTC
Probably the same thing as here https://bugzilla.redhat.com/show_bug.cgi?id=1366134 see comments 33 and 34

Comment 8 Brad Buckingham 2017-04-05 12:26:05 UTC
Hi Andrii, 

Per comment 7, can you confirm if this issue is resolved with the solution provided by bug 1366134.  Thanks!

Comment 9 Andrii Balakhtar 2017-04-19 09:33:45 UTC
Brad,

I've installed latest 6.3 build and couldn't reproduce the issue - sync was successful. Same on downstream nightly build. 
Also this issue seems to be not related to bug 136134 -  there's exactly the same version of ostree package installed - ostree-2016.5-3 - which is affected according to 136134.
I think we can close the issue as it's not reproducible anymore.

Comment 10 Brad Buckingham 2017-04-19 14:28:01 UTC
Thanks Andrii.  I will go ahead and close the bugzilla for now; however, if the issue resurfaces, please feel free to re-open.

Comment 11 Bryan Kearney 2017-12-19 14:57:47 UTC
setting flag based on request from Og to kick off automation.

Comment 12 Rajan Gupta 2019-04-10 14:45:41 UTC
The issue re-appears in Satellite 6.4. Please help us know if there is any workaround?

Comment 16 Bryan Kearney 2020-05-01 13:30:53 UTC
Satellite 6.4 is now End of Life. These bus will not be fixed on the 6.4 stream. Users of Satellite should upgrade to the latest version of Satellite to get access to the most current set of bugfixes and feature improvements.


Note You need to log in before you can comment on or make changes to this bug.